<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Facebook User ID Lookup
| Filename: index.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developer: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by tasking the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(INFUSIONS."facebook_user-id_lookup/locale/".$settings['locale'].".php")) {
include INFUSIONS."facebook_user-id_lookup/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."facebook_user-id_lookup/locale/English.php";
}
add_to_head("<script type='text/javascript' src='".INFUSIONS."facebook_user-id_lookup/jsencryption.js'></script>");
add_to_title($locale['global_200'].$locale['fbid_001']);

	opentable($locale['fbid_001']);

		echo"<div id='fb-root'></div>\n
			<div style='padding10px;'>\n
				<div style='padding-left: 5px;'>\n<img src='".INFUSIONS."/facebook_user-id_lookup/images/fb.png' alt='".$locale['fbid_001']."' style='border: 0px;'/>
					<div style='float: right; padding-right: 10px; padding-top: 5px;' class='fb-like' data-href='".$settings['siteurl']."infusions/facebook_user-id_lookup/index.php' data-send='false' data-layout='button_count' data-width='50' data-show-faces='false' data-font='tahoma'></div>\n
						</div>\n
							<div style='font-family: lucida grande,tahoma,verdana,arial,sans-serif; font-size: 16px; font-weight: bold; color: #3B5998; margin-top: 20px; margin-bottom: 15px;'>".$locale['fbid_002']."</div>\n
								<div style='font-family: lucida grande,tahoma,verdana,arial,sans-serif; font-size: 14px; padding10px;'>\n
									<p>".$locale['fbid_003']."</p>\n
									<p style='margin-top: 15px;'>".$locale['fbid_004']."</p>\n
								</div>\n
							<div style='margin-top: 15px; text-align: center;'>\n
						<input type='text' name='user-name' maxlength='80' id='user-name'  class='textbox' style='width:250px;'/>\n
					<input type='button' value='".$locale['fbid_005']."' style='margin-left: 5px;' class='get-button button' onclick='checkUrl();'/>\n
				</div>\n
			</div>
		<div id='result' style='text-align: center; font-size:14px; margin-top: 20px;'></div>\n";
		
		echo"<div style='font-size: 9px; margin-top: 25px; margin-bottom: 5px; text-align: right; padding-right: 5px;'>Facebook User ID Lookup By <a href='http://www.phpfusionmods.co.uk' target='_blank'>PHP-Fusion Mods UK</a> &copy; ".date('Y')."</div>\n";
			
	closetable(); 

	
	add_to_footer("<script type='text/javascript'>
			function checkUrl(){
			var theUrl=document.getElementById('user-name').value;
			if(theUrl.match(/^(http|https)\:\/\/?(www[.])?facebook.com\/.+/i)) {
			$.getJSON('https://graph.facebook.com/'+$('#user-name').val(), function(name) {
			$('#result').html('<hr><span style=\'color: #3B5998;\'> ".$locale['fbid_006'].":</span> <strong><span style=\'color: #ff0000;\'>'+name.id+'</strong></span></hr>');
			}); }else { alert('".$locale['fbid_007']."'); document.location = '".FUSION_SELF."'; } }	
			</script>
			
			<script type='text/javascript'>(function(d, s, id) {
			var js, fjs = d.getElementsByTagName(s)[0];
			if (d.getElementById(id)) return;
			js = d.createElement(s); js.id = id;
			js.src = '//connect.facebook.net/en_GB/all.js#xfbml=1';
			fjs.parentNode.insertBefore(js, fjs);
			}(document, 'script', 'facebook-jssdk'));</script>");
	
require_once THEMES."templates/footer.php";
?>